import CardForm from './form';
import Fetcher from '../shared/fetches/fetcher';
import { fetchLessons } from '../../redux/actions/lesson';

function CreateCardContainer() {
  return (
    <Fetcher action={fetchLessons} stateSelector={state => state.lessons}>
      {lessons => <CardForm lessons={lessons} />}
    </Fetcher>
  );
}

export default CreateCardContainer;
